[PATCH] install oo* wrappers only with --with-compat-oowrappers configure option
Petr Mladek
pmladek at suse.cz
Fri Jan 7 09:09:44 PST 2011
they are not installed by default
---
bin/package-ooo | 14 ++++++++++----
bin/setup.in | 1 +
configure.in | 17 +++++++++++++++++
3 files changed, 28 insertions(+), 4 deletions(-)
diff --git a/bin/package-ooo b/bin/package-ooo
index 89bff1d..9127848 100755
--- a/bin/package-ooo
+++ b/bin/package-ooo
@@ -82,19 +82,25 @@ mkdir -p $MANDIR/man1
# startup wrappers
for app in calc draw impress math web writer base; do
create_qstart_wrapper "$PREFIX/bin/lo${app}${BINSUFFIX}" "-${app}" || exit 1;
- create_qstart_wrapper "$PREFIX/bin/oo${app}${BINSUFFIX}" "-${app}" || exit 1;
+ if test "$COMPAT_OOWRAPPERS" = "YES" ; then
+ create_qstart_wrapper "$PREFIX/bin/oo${app}${BINSUFFIX}" "-${app}" || exit 1;
+ fi
done
create_qstart_wrapper "$PREFIX/bin/lofromtemplate${BINSUFFIX}" ".uno:NewDoc" || exit 1;
-create_qstart_wrapper "$PREFIX/bin/oofromtemplate${BINSUFFIX}" ".uno:NewDoc" || exit 1;
create_qstart_wrapper "$PREFIX/bin/libreoffice${BINSUFFIX}" "" || exit 1;
-create_qstart_wrapper "$PREFIX/bin/ooffice${BINSUFFIX}" "" || exit 1;
create_unopkg_wrapper "$PREFIX/bin/unopkg${BINSUFFIX}" "" || exit 1;
+if test "$COMPAT_OOWRAPPERS" = "YES" ; then
+ create_qstart_wrapper "$PREFIX/bin/oofromtemplate${BINSUFFIX}" ".uno:NewDoc" || exit 1;
+ create_qstart_wrapper "$PREFIX/bin/ooffice${BINSUFFIX}" "" || exit 1;
+fi
if test "z$VENDORNAME" = "zNovell" -o "z$VENDORNAME" = "zPLD" \
-o "z$VENDORNAME" = "zDebian" \
-o "z$VENDORNAME" = "zMandriva"; then
for app in calc draw impress math web writer base fromtemplate ; do
echo ".so man1/libreoffice$BINSUFFIX.1" >| $MANDIR/man1/lo${app}$BINSUFFIX.1;
- echo ".so man1/libreoffice$BINSUFFIX.1" >| $MANDIR/man1/oo${app}$BINSUFFIX.1;
+ if test "$COMPAT_OOWRAPPERS" = "YES" ; then
+ echo ".so man1/libreoffice$BINSUFFIX.1" >| $MANDIR/man1/oo${app}$BINSUFFIX.1;
+ fi
done
fi
diff --git a/bin/setup.in b/bin/setup.in
index 99c2a77..f2508a3 100755
--- a/bin/setup.in
+++ b/bin/setup.in
@@ -51,6 +51,7 @@ NLPSOLVER_EXTENSION='@NLPSOLVER_EXTENSION@'
LANGUAGETOOL_EXTENSION='@LANGUAGETOOL_EXTENSION@'
OOOBLOGGER_EXTENSION='@OOOBLOGGER_EXTENSION@'
SUNTEMPLATES_LANG='@SUNTEMPLATES_LANG@'
+COMPAT_OOWRAPPERS='@COMPAT_OOWRAPPERS@'
OOO_BUILDVERSION='@OOO_BUILDVERSION@'
OOO_SOURCEVERSION='@OOO_SOURCEVERSION@'
OOO_STRIP='@OOO_STRIP@'
diff --git a/configure.in b/configure.in
index f1a6a8f..e7cc537 100755
--- a/configure.in
+++ b/configure.in
@@ -419,6 +419,13 @@ AC_ARG_WITH(openclipart,
--with-openclipart=/usr/share/openclipart],
,)
+AC_ARG_WITH(compat_oowrappers,
+[
+ --with-compat-oowrappers
+ Install oo* wrappers in parallel with
+ lo* ones to keep backward compatibility.],
+,)
+
AC_ARG_WITH(piece,
[
--with-piece Build only a piece of LibreOffice.
@@ -1120,6 +1127,16 @@ fi
AC_MSG_RESULT([${LIBERATION_FONTS_VER:-as upstream}])
AC_SUBST(LIBERATION_FONTS_VER)
+AC_MSG_CHECKING([whether to install compat oo* wrappers])
+if test "$with_compat_oowrappers" = "yes" ; then
+ COMPAT_OOWRAPPERS=YES
+ AC_MSG_RESULT(yes)
+else
+ COMPAT_OOWRAPPERS=NO
+ AC_MSG_RESULT(no)
+fi
+AC_SUBST(COMPAT_OOWRAPPERS)
+
AC_MSG_CHECKING([for GNU patch])
GNUPATCH=patch
if test "z$with_gnu_patch" != "z"; then
--
1.7.3.4
--=-yLYtFNSz3CTB8CK7ZrhN--
More information about the LibreOffice
mailing list